/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

/**
* @author Original code from bennadel.com, under an MIT licence
*/


:host {
  display: flex ;
}

.left {
  // The left side CANNOT GROW, it can ONLY SHRINK (and add an ellipsis at the end).
  flex: 0 1 auto ;
  overflow: hidden ;
  text-overflow: ellipsis ;
  white-space: pre ;
}

.right {
  // The right side can grow, but NOT SHRINK.
  flex: 1 0 auto ;
  overflow: hidden ;
  white-space: pre ;
}
